# Copyright (c) 2015, Xhive Global Ltd. and Contributors
# License: MIT. See LICENSE
from xhiveframework.tests.utils import XhiveFrameworkTestCase


class TestGeoIP(XhiveFrameworkTestCase):
	def test_geo_ip(self):
		return
		from xhiveframework.sessions import get_geo_ip_country

		self.assertEqual(get_geo_ip_country("223.29.223.255"), "India")
		self.assertEqual(get_geo_ip_country("4.18.32.80"), "United States")
		self.assertEqual(get_geo_ip_country("217.194.147.25"), "United States")
